player_fiducial_geom Struct Reference

Request/reply: Get geometry. More...

`#include <player_interfaces.h>`

## Public Attributes

player_pose3d_t | pose
| Pose of the detector in the robot cs.
player_bbox3d_t | size
| Size of the detector.
player_bbox2d_t | fiducial_size
| Dimensions of the fiducials in units of (m). More...

## Detailed Description

Request/reply: Get geometry.

The geometry (pose and size) of the fiducial device can be queried by sending a null PLAYER_FIDUCIAL_REQ_GET_GEOM request.

## Member Data Documentation

player_bbox2d_t player_fiducial_geom::fiducial_size

Dimensions of the fiducials in units of (m).

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45